using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Rds.Messages;

namespace skyscraper5.Rds
{
    interface RdsEventHandler
    {
        void SetRdsProgrammeServiceName(int programNumber, string programmeService2);
        bool TestCanHandleRdsMessages(int programNumber);
        void SetRdsRadioText(int programNumber, string text);
        void SetCurrentTime(DateTime currentTime);
        void SetCurrentProgrammeType(int programNumber, PTY.ProgrammeTypeCodes pty);
        void MarkAsRdsTrafficInformationProgramme(int programNumber);
    }
}
